$STORAGE: 4
$DO66
      SUBROUTINE LEGL(N,NX)
C                       PRINTS THE INITIAL PART OF LOWER-CASE 'H','K',
C     'L','M','N','P' AND 'R';      H  K  L  M  N  P  R
C                               N: 25 25 25  0  0 25  0
C                              NX:  0  0  0  0  0 25  0
C
      DIMENSION KS(16)
      COMMON /LINES/ LINE(132),LINEX(132)
	CHARACTER*1 LINE,LINEX
61    FORMAT(1X,132A1)
62    FORMAT(1H+,132A1)
      DATA KS/6,7,48,51,7,8,47,48,8,9,46,47, 9,12,43,46/
      CALL BAXX(1,1)
      CALL FRNT( -NX,6-NX)
      CALL FRNT(49+N-NX,55+N-NX)
      WRITE(2,61) LINE
      WRITE(2,62) LINEX
      WRITE(2,61) LINE
      WRITE(2,62) LINEX
      DO 10 I=1,4
      K = 4*(I-1) + 1
      CALL FRNT(KS(K)-NX,KS(K+1)-NX)
      CALL FRNT(KS(K+2)+N-NX,KS(K+3)+N-NX)
      WRITE(2,61) LINE
10    WRITE(2,62) LINEX
      CALL FRNT(12-NX,43+N-NX)
      DO 20 K=1,6
      WRITE(2,61) LINE
20    WRITE(2,62) LINEX
      RETURN
      END

